Impossible d'installer PIL avec PIP

Bonjour Isaac,
Depuis trois jours, je n’arrive pas installer PIL par tous les moyens que je connaisse , je n’arrive pas importer Image et ImageTk, J’ai même essayée d’installé Pillow .
Avez-vous une idée a me soumettre.
cordialement
kyrob

Bonjour @kyrob

Je recommande d’utiliser Pillow. Mais vous ne pouvez pas avoir les deux installés en même temps.

Tout d’abord, supprimez les deux PIL et Pillow.

Ensuite, installez Pillow avec pip install pillow (bien que, selon la plateforme, vous puissiez avoir besoin de certains prérequis).

Ensuite, assurez-vous que le code est from PIL import Image plutôt que import Image.

bonjour,
j’ai essaye de uninstall PIL réponse WARNING: Skipping PIL as it is not installed AVERTISSEMENT : Ignorer PIL car il n’est pas installé et pour pillow pas de problème

Found existing installation: Pillow 9.2.0
Uninstalling Pillow-9.2.0:
** Would remove:**
** c:\users\jacky\appdata\local\programs\python\python38\lib\site-packages\pil***
** c:\users\jacky\appdata\local\programs\python\python38\lib\site-packages\pillow-9.2.0.dist-info***
Proceed (Y/n)? y
** Successfully uninstalled Pillow-9.2.0**
PS D:\Python\qrcode> pip install pillow **
Collecting pillow
** Using cached Pillow-9.2.0-cp38-cp38-win_amd64.whl (3.3 MB)

Installing collected packages: pillow
Successfully installed pillow-9.2.0
PS D:\Python\qrcode>
c’a ne marche toujours pas from PIL import Image, ImageTk
from resizeimage import resizeimage
.

je suis sur que ça marche, il y a quelque mois (avril 2022) que l’ai fait
cordialement
kyrob

Vous pouvez essayer d’utiliser Pillow au lieu de de PIL :

pip install Pillow

Pour l’importer, procédez comme suit :

from PIL import Image

Une solution qui a fonctionné pour moi :

En installant simplement la dernière version de Pillow en utilisant pip install -U Pillow je peux maintenant appeler import PIL.Image

Voici une solution qui marche pour moi, juste faire un clic droit sur ‹ from PIL import Image › et à cliquer sur ‹ install Image ›.

Je l’ai utilisé sur l’IDE PyCharm.

Bonjour,
j’ai oublié de préciser que j’utilise Visual Studio Code : 1.71.1
python : 3.10.7.
powerShell : 7.1.2
cordialement
kyrob